# Generated by Django 3.0.8 on 2020-07-15 12:15

import django.db.models.deletion
import wagtail.blocks
import wagtail.fields
import wagtailmetadata.models
from django.db import migrations, models

import donate.models


class Migration(migrations.Migration):
    dependencies = [
        ("wagtailcore", "0045_assign_unlock_grouppagepermission"),
        ("wagtailimages", "0022_uploadedimage"),
        ("donate", "0004_auto_20200621_2349"),
    ]

    operations = [
        migrations.RemoveField(
            model_name="donateregionpage",
            name="perex",
        ),
        migrations.CreateModel(
            name="DonateTargetedDonationsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.Page",
                    ),
                ),
                (
                    "targeted_donations",
                    wagtail.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.blocks.CharBlock(label="název"),
                                        ),
                                        (
                                            "description",
                                            wagtail.blocks.CharBlock(
                                                label="popis", required=False
                                            ),
                                        ),
                                        (
                                            "portal_project_id",
                                            wagtail.blocks.IntegerBlock(
                                                label="ID projektu v darovacím portálu",
                                                required=False,
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="adresné dary",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.Image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                "wagtailcore.page",
                donate.models.SubpageMixin,
                wagtailmetadata.models.MetadataMixin,
                models.Model,
            ),
        ),
    ]
